# TODO: Optimize for znver2
{
  config,
  pkgs,
  nixgl,
  ...
}:
{
  imports = [
    ./roles/2ship2harkinian
    ./roles/graphics
    ./roles/shipwright
    ./roles/sm64ex
    ./roles/steam_rom_manager
    ./util/unfree_polyfill
  ];

  home.username = "deck";
  home.homeDirectory = "/home/deck";
  home.stateVersion = "24.11";

  programs.home-manager.enable = true;

  # enable flakes
  nix = {
    package = pkgs.nix;
    settings.experimental-features = [
      "nix-command"
      "flakes"
    ];
  };

  home.packages = with pkgs; [
    pkgs.nixgl.nixGLIntel
    (pkgs.nixgl.nixGLCommon pkgs.nixgl.nixGLIntel)
    pkgs.nixgl.nixVulkanIntel
  ];

  # This would keep build-time dependencies so I can rebuild while offline.
  # nix.settings = {
  #   keep-outputs = true;
  #   keep-derivations = true;
  # };
}
