{
  config,
  lib,
  pkgs,
  ...
}:

{
  imports = [ ];

  options.me = {
    ship2harkinian.enable = lib.mkOption {
      type = lib.types.bool;
      default = false;
      example = true;
      description = "Whether we want to install 2ship2harkinian.";
    };
  };

  config = lib.mkIf config.me.ship2harkinian.enable (
    lib.mkMerge [
      {
        allowedUnfree = [ "2ship2harkinian" ];
      }
      (lib.mkIf config.me.graphical {
        home.packages = with pkgs; [
          (config.lib.nixGL.wrap _2ship2harkinian)
        ];

        # TODO perhaps install ~/.local/share/2ship/2ship2harkinian.json

        home.persistence."/home/deck/.persist" = {
          directories = [
            {
              directory = ".local/share/2ship";
              method = "symlink";
            }
          ];
        };
      })
    ]
  );
}
