{
  config,
  lib,
  pkgs,
  ...
}:

{
  imports = [ ];

  options.me = {
    sm64ex.enable = lib.mkOption {
      type = lib.types.bool;
      default = false;
      example = true;
      description = "Whether we want to install sm64ex.";
    };
  };

  config = lib.mkIf config.me.sm64ex.enable (
    lib.mkMerge [
      (lib.mkIf config.me.graphical {
        allowedUnfree = [ "sm64ex" ];

        home.packages = with pkgs; [
          (config.lib.nixGL.wrap sm64ex)
        ];

        # nixpkgs.overlays = [
        #   (final: prev: {
        #     sm4ex = prev.sm64ex.override {
        #       baseRom.name = "SuperMario64.z64";
        #     };
        #   })
        # ];

        # TODO perhaps install ~/.local/share/sm64ex/sm64config.txt

        home.persistence."/home/deck/.persist" = {
          directories = [
            {
              directory = ".local/share/sm64ex";
              method = "symlink";
            }
          ];
        };
      })
    ]
  );
}
