{
  config,
  lib,
  pkgs,
  ...
}:

{
  imports = [ ];

  options.me = {
    steam_rom_manager.enable = lib.mkOption {
      type = lib.types.bool;
      default = false;
      example = true;
      description = "Whether we want to install steam_rom_manager.";
    };
  };

  config = lib.mkIf config.me.steam_rom_manager.enable (
    lib.mkMerge [
      (lib.mkIf config.me.graphical {
        home.packages = with pkgs; [
          (config.lib.nixGL.wrap steam-rom-manager)
        ];

      })
    ]
  );
}
